> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search companies

> 
The endpoint returns the `company_mapping_id` for a company if it exists. This `company_mapping_id` can be passed to the `/bridge-tokens` endpoint to have the user skip the company selection step and suggest a data provider.



## OpenAPI

````yaml POST /v1/companies/
openapi: 3.0.1
info:
  title: Truv API
  description: Truv API Documentation
  termsOfService: https://www.truv.com/legal/terms-of-use
  contact:
    email: support@truv.com
  version: v1
servers:
  - url: https://prod.truv.com
security:
  - ClientID: []
    AccessKey: []
tags:
  - name: Users
  - name: Bridge Token
  - name: Companies and Data Providers
  - name: Key Management
  - name: Account Links
  - name: Data Refresh
  - name: Customization Templates
  - name: Webhooks
  - name: Orders
  - name: Tasks
  - name: VOIE Reports
  - name: VOA Reports
  - name: Income Insights Reports
  - name: DDS Reports
  - name: Employment
  - name: Identity
  - name: Shifts
  - name: Pay Statements
  - name: Tax Documents
  - name: Parsed Documents
  - name: Reports
  - name: Uploaded Documents
  - name: Bank Accounts
  - name: Bank Statements
  - name: Deposit Switch Reports
  - name: Insurance Reports
  - name: Income Report
  - name: Scoring Attributes
  - name: Accounts
  - name: Transactions
  - name: Recurring Transactions
  - name: Document Collections
paths:
  /v1/companies/:
    parameters: []
    post:
      tags:
        - Companies and Data Providers
      summary: Search companies
      description: >-

        The endpoint returns the `company_mapping_id` for a company if it
        exists. This `company_mapping_id` can be passed to the `/bridge-tokens`
        endpoint to have the user skip the company selection step and suggest a
        data provider.
      operationId: company_mapping
      requestBody:
        content:
          application/json:
            schema:
              title: request_body
              type: object
              properties:
                name:
                  description: Company name
                  type: string
                  example: Google
                domain:
                  description: Company domain
                  type: string
                  example: google.com
                ein:
                  description: Company EIN
                  type: string
                  example: '770493581'
                address:
                  description: Company location address object
                  required:
                    - street
                    - city
                    - zip
                  type: object
                  properties:
                    street:
                      description: Company location street
                      type: string
                      example: 1600 Amphitheatre Pkwy
                    city:
                      description: Company location city
                      type: string
                      example: Mountain View
                    state:
                      description: Company location state
                      type: string
                      example: CA
                    zip:
                      description: Company location zip code
                      type: string
                      example: '94043'
                phone:
                  description: Company phone number
                  type: string
                  example: '6503087300'
                id:
                  description: Company ID
                  type: string
                  example: d94df7ecffcb4b218ab2dbff70e7cda8
                product_type:
                  description: Product type for success rate calculation
                  type: string
                  example: income
                  enum:
                    - income
                    - employment
                    - deposit_switch
                    - pll
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  company_mapping_id:
                    description: Company to Payroll Provider mapping ID
                    type: string
                    nullable: true
                    example: 48427a36d43c4d5aa6324bc06c692456
                  name:
                    description: Company name
                    type: string
                    example: Facebook Demo
                  domain:
                    description: Company domain
                    type: string
                    example: facebook.com
                  logo_url:
                    description: URL to company logo
                    type: string
                    nullable: true
                    example: https://cdn.truv.com/facebook.png
                  success_rate:
                    description: Success rate for the company
                    type: string
                    enum:
                      - low
                      - high
                      - unsupported
                      - null
                    example: high
                    nullable: true
                  confidence_level:
                    description: >-
                      Confidence level for the company success rate. Range of
                      possible values is from 0 to 1 with 0.5 and above being
                      high success rate
                    type: string
                    example: '0.9'
                  mapping_status:
                    description: Mapping status of the company to the payroll system
                    type: string
                    enum:
                      - verified
                      - mapped
                      - unmapped
                    example: verified
        '400':
          description: HTTP 400 Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error400'
        '401':
          description: HTTP 401 Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: HTTP 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
components:
  schemas:
    Error400:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: incorrect_parameters
            message:
              description: ''
              type: string
              example: Incorrect request parameters
            extra:
              description: ''
              type: object
              properties:
                invalid-params:
                  description: ''
                  type: array
                  items:
                    description: ''
                    type: object
                    properties:
                      field:
                        description: ''
                        type: string
                        example: access_token
                      message:
                        description: ''
                        type: string
                        example: This field is required.
                  example:
                    - field: access_token
                      message: This field is required.
    Error401:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: authentication_failed
            message:
              description: ''
              type: string
              example: No such token
    Error403:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: not_authenticated
            message:
              description: ''
              type: string
              example: Authentication credentials were not provided.
  securitySchemes:
    ClientID:
      type: apiKey
      description: Client ID
      name: X-Access-Client-Id
      in: header
    AccessKey:
      type: apiKey
      description: Client Access Key
      name: X-Access-Secret
      in: header

````